> ## Documentation Index
> Fetch the complete documentation index at: https://docs.txcloud.thetekcircle.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get log details



## OpenAPI

````yaml openapi/devex.yaml get /developers/logs/{id}
openapi: 3.0.3
info:
  title: TXCloud DevEx API
  version: 1.0.0
  description: >
    Developer Experience API for managing API access, monitoring usage, and
    debugging.
servers:
  - url: https://api.txcloud.io/v1
  - url: https://sandbox.api.txcloud.io/v1
security:
  - BearerAuth: []
tags:
  - name: Keys
    description: API key management
  - name: Webhooks
    description: Webhook configuration
  - name: Usage
    description: Usage and billing
  - name: Logs
    description: Request logs
  - name: Sandbox
    description: Testing tools
  - name: Account
    description: Account management
paths:
  /developers/logs/{id}:
    get:
      tags:
        - Logs
      summary: Get log details
      operationId: getRequestLog
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Log details
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RequestLog'
components:
  schemas:
    RequestLog:
      allOf:
        - $ref: '#/components/schemas/RequestLogSummary'
        - type: object
          properties:
            url:
              type: string
            request:
              type: object
              properties:
                headers:
                  type: object
                body:
                  type: object
            response:
              type: object
              properties:
                status_code:
                  type: integer
                headers:
                  type: object
                body:
                  type: object
    RequestLogSummary:
      type: object
      properties:
        id:
          type: string
        method:
          type: string
        endpoint:
          type: string
        status_code:
          type: integer
        response_time_ms:
          type: integer
        created_at:
          type: string
          format: date-time
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````